from fitdataset.interfaces import SortedBreakfast, SortedFoodDinner, SortedFoodLunch


class BREAKFAST:
    ELEMENTS_TARGET = {
        "fruits": [
            "Abricot, dénoyauté, cru",
            "Ananas, pulpe, cru",
            "Banane, pulpe, crue",
            "Cassis, cru",
            "Cerise, dénoyautée, crue",
            "Citron, pulpe, cru",
            "Coing, cru",
            "Figue, crue",
            "Fraise, crue",
            "Framboise, crue",
            "Fruit de la passion ou maracudja, pulpe et pépins, cru",
            "Grenade, pulpe et pépins, crue",
            "Groseille, crue",
            "Groseille à maquereau, crue",
            "Kiwi, pulpe et graines, cru",
            "Litchi, pulpe, cru",
            "Clémentine ou Mandarine, pulpe, crue",
            "Mangue, pulpe, cru",
            "Melon cantaloup (par ex.: Charentais, de Cavaillon) pulpe, cru",
            "Mirabelle, crue",
            "Myrtille, crue",
            "Mûre (de ronce), crue",
            "Nectarine ou brugnon, pulpe et peau, crue",
            "Orange, pulpe, cru",
            "Papaye, pulpe, cru",
            "Pastèque, pulpe, cru",
            "Poire, pulpe et peau, crue",
            "Pomme, pulpe et peau, crue",
            "Pomelo (dit Pamplemousse), pulpe, cru",
            "Prune Reine-Claude, crue",
            "Pêche, pulpe et peau, crue",
            "Raisin blanc, à gros grain (type Italia ou Dattier), cru",
            "Raisin noir, cru",
            "Rhubarbe, tige, crue",
            "Pomme, pulpe, crue",
            "Carambole, pulpe, crue",
            "Anone ou chérimole, pulpe, crue",
            "Feijoa, pulpe, crue",
            "Figue de Barbarie, pulpe et graines, crue",
            "Citron vert ou Lime, pulpe, cru",
            "Mûre noire (du mûrier), crue",
            "Ramboutan, pulpe, cru",
            "Goyave, pulpe, crue",
            "Pomme Canada, pulpe, crue",
            "Pomme Golden, pulpe, crue",
            "Prune, crue",
            "Raisin Chasselas, cru",
            "Poire, pulpe, crue",
            "Griotte, crue",
            "Raisin, cru",
            "Canneberge ou cranberry, crue",
            "Pomme Granny Smith, pulpe, crue",
            "Pomme Granny Smith, pulpe et peau, crue",
            "Citron, zeste, cru",
            "Sureau, baie, crue",
            "Myrtille, surgelée, crue",
            "Salade de fruits, crue",
            "Framboise, surgelée, crue",
            "Nectarine ou brugnon, jaune, pulpe et peau, crue",
            "Nectarine ou brugnon, blanche, pulpe et peau, crue",
            "Mûre (de ronce), surgelée, crue",
            "Pomelo (dit Pamplemousse) jaune, pulpe, cru",
            "Pomelo (dit Pamplemousse) rose, pulpe, cru",
            "Poire Conférence, pulpe, crue",
            "Poire Williams, pulpe, crue",
            "Pomme Chantecler, pulpe, crue",
            "Pomme Gala, pulpe, crue",
            "Pomme Pink lady, pulpe, crue",
            "Pêche blanche, pulpe et peau, crue",
            "Pêche blanche, pulpe, crue",
            "Pêche jaune, pulpe, crue",
            "Dourian, pulpe, cru",
            "Kumquat, sans pépin, cru",
            "Longan, pulpe, cru",
            "Pamplemousse chinois, pulpe, cru",
            "Pomme Golden, pulpe et peau, crue",
            "Raisin noir Muscat, cru",
            "Melon miel ou melon honeydew, pulpe, cru",
            "Fruits rouges, crus (framboises, fraises, groseilles, cassis)",
            "Fruit cru (aliment moyen)",
            "Chayote ou christophine ou chouchou, crue",
        ],
        "eaux": [
            "Eau de source, embouteillée (aliment moyen)",
            "Eau minérale, embouteillée, faiblement minéralisée (aliment moyen)",
            "Eau minérale (aliment moyen)",
            "Eau minérale, plate (aliment moyen)",
            "Eau du robinet",
            "Eau embouteillée de source",
            "Eau minérale Abatilles, embouteillée, non gazeuse, faiblement minéralisée (Arcachon, 33)",
            "Eau minérale Aix-les-Bains, embouteillée, non gazeuse, faiblement minéralisée (Aix-les-Bains, 73)",
            "Eau minérale Celtic, embouteillée, gazeuse ou non gazeuse, très faiblement minéralisée (Niederbronn, 67)",
            "Eau minérale Chambon, embouteillée, non gazeuse, faiblement minéralisée (Chambon, 45)",
            "Eau minérale Chantemerle, embouteillée, non gazeuse, faiblement minéralisée (Le Pestrin, 07)",
            "Eau minérale Evian, embouteillée, non gazeuse, faiblement minéralisée (Evian, 74)",
            "Eau minérale Luchon, embouteillée, non gazeuse, faiblement minéralisée (Luchon, 31)",
            "Eau minérale Mont-Roucous, embouteillée, très faiblement minéralisée (Lacaune, 81)",
            "Eau de source Ogeu, embouteillée, faiblement minéralisée (Ogeu, 64)",
            "Eau minérale Thonon, embouteillée, non gazeuse, faiblement minéralisée (Thonon, 74)",
            "Eau minérale Volvic, embouteillée, non gazeuse, faiblement minéralisée (Volvic, 63)",
            "Eau minérale Volvic active, embouteillée, gazeuse, faiblement minéralisée (Volvic, 63)",
            "Eau minérale Wattwiller, embouteillée, gazeuse ou non gazeuse, faiblement minéralisée (Wattwiller, 68)",
            "Eau minérale Avra, embouteillée, non gazeuse, faiblement minéralisée (Grèce)",
            "Eau minérale Beckerich, embouteillée, non gazeuse, faiblement minéralisée (Luxembourg)",
            "Eau minérale Chaudfontaine, embouteillée, non gazeuse, faiblement minéralisée (Belgique)",
            "Eau minérale Levissima, embouteillée, non gazeuse, faiblement minéralisée (Italie)",
            "Eau minérale Luso, embouteillée, non gazeuse, très faiblement minéralisée (Portugal)",
            "Eau minérale Penacova, embouteillée, non gazeuse, très faiblement minéralisée (Portugal)",
            "Eau minérale San Bernardo, embouteillée, très faiblement minéralisée (Italie)",
            "Eau minérale Valvert, embouteillée, non gazeuse, faiblement minéralisée (Belgique)",
            "Eau de source Cristaline, embouteillée, non gazeuse",
            "Eau minérale Biovive, embouteillée, non gazeuse, faiblement minéralisée (Dax, 40)",
            "Eau minérale Montcalm, embouteillée, non gazeuse, très faiblement minéralisée (Auzat, 09)",
            "Eau minérale Montclar, embouteillée, non gazeuse, faiblement minéralisée (Montclar, 04)",
            "Eau minérale Treignac, embouteillée, non gazeuse, très faiblement minéralisée (Treignac, 19)",
            "Eau minérale Mont-Blanc, embouteillée, non gazeuse, faiblement minéralisée (Italie)",
            "Eau minérale Eden (La Goa), embouteillée, non gazeuse, faiblement minéralisée (Suisse)",
        ],
        "boissons sans alcool": [
            "Jus d'ananas, à base de concentré",
            "Jus de fruits (aliment moyen)",
            "Jus de carotte, pur jus",
            "Jus de citron, maison",
            "Jus d'orange, à base de concentré",
            "Jus d'orange, maison",
            "Jus de pomme, à base de concentré",
            "Jus de pamplemousse (pomélo), à base de concentré",
            "Jus de raisin, pur jus",
            "Jus de grenade, pur jus",
            "Jus de pruneau",
            "Jus de raisin, à base de concentré",
            "Jus de mangue, frais",
            "Jus de fruit de la passion ou maracudja, frais",
            "Jus de pamplemousse (pomélo), maison",
            "Jus de pamplemousse (pomelo), pur jus",
            "Jus de citron, pur jus",
            "Jus de citron vert, maison",
            "Jus de citron vert, pur jus",
            "Jus multifruit, à base de concentré, standard",
            "Jus d'orange, pur jus",
            "Jus de fruits, pur jus (aliment moyen)",
            "Jus d'ananas, pur jus",
            "Jus de pomme, pur jus",
            "Jus multifruit, pur jus, standard",
            "Jus multifruit, pur jus, multivitaminé",
            "Jus multifruit, à base de jus et purée de fruits",
            "Jus de clémentine ou mandarine, pur jus",
            "Jus de grenade, frais",
            "Jus multifruit - base pomme, standard",
            "Jus multifruit - base pomme, multivitaminé",
            "Jus de fruit(s) et de légume(s), pur jus",
            "Jus de tomate, pur jus (aliment moyen)",
            "Jus multifruit, à base de concentré, multivitaminé",
            "Jus multifruit - base raisin, standard",
            "Jus multifruit - base orange, standard",
            "Jus multifruit - base orange, multivitaminé",
            "Eau de coco",
            "Thé infusé, non sucré",
            "Thé noir, infusé, non sucré",
            "Thé vert, infusé, non sucré",
            "Thé oolong, infusé, non sucré",
            "Café, non instantané, non sucré, prêt à boire",
            "Café expresso, non instantané, non sucré, prêt à boire",
            "Café décaféiné, non instantané, non sucré, prêt à boire",
            "Café, instantané, non sucré, prêt à boire",
            "Café décaféiné, instantané, non sucré, prêt à boire",
            "Chicorée et café, instantané, non sucré, prêt à boire (reconstituée avec de l'eau)",
        ],
        "pains et assimilés": [
            "Pain, baguette, courante",
            "Pain, baguette ou boule, au levain",
            "Pain, baguette, de tradition française",
            "Pain, baguette ou boule, de campagne",
            "Pain, baguette ou boule, aux céréales et graines, artisanal",
            "Pain, baguette ou boule, bis (à la farine T80 ou T110)",
            "Pain complet ou intégral (à la farine T150)",
            "Pain de seigle, et froment",
            "Pain, sans gluten",
            "Pain, baguette, sans sel",
            "Pain de mie, au son",
            "Pain de mie brioché, préemballé",
            "Pain de mie, sans croûte, préemballé",
            "Pain grillé, domestique",
            "Biscotte classique",
            "Biscotte briochée",
            "Biscotte multicéréale",
            "Biscotte complète ou riche en fibres",
            "Pain grillé, tranches, au froment",
            "Pain grillé suédois au froment",
            "Pain grillé suédois au blé complet",
            "Tartine craquante, extrudée et grillée",
            "Pain grillé, tranches, multicéréale",
            "Galette de riz soufflé complet",
            "Galette multicéréales soufflée",
            "Galette de maïs soufflé",
            "Muffin anglais, complet, petit pain spécial, préemballé",
            "Muffin anglais, petit pain spécial, préemballé",
            "Bagel",
        ],
    }

    ELEMENTS_TARGET_DELETED = [
        "Édulcorant à l'aspartame, en pastilles",
        "Édulcorant à l'aspartame, en poudre",
        "Vermicelles multicolores",
        "Sucre blanc",
        "Sucre roux",
        "Sucre vanillé",
        "Édulcorant à la saccharine",
        "Mélasse de canne",
        "Sucre allégé à l'aspartame",
        "Fructose",
        "Édulcorant à base d'extrait de stévia",
        "Beurre à 82% MG, doux",
        "Huile de beurre ou Beurre concentré",
        "Beurre à 80% MG, demi-sel",
        "Beurre à 80% MG, salé",
        "Beurre à 82% MG, doux, tendre",
        "Beurre à 60-62% MG, à teneur réduite en matière grasse, doux",
        "Beurre à 60-62% MG, à teneur réduite en matière grasse, demi-sel",
        "Beurre ou assimilé allégé (léger ou à teneur reduite en matière grasse), doux (aliment moyen)",
        "Beurre à teneur en matière grasse inconnue (allégé ou non), demi-sel (aliment moyen)",
        "Beurre ou assimilé à teneur en matière grasse inconnue, doux (aliment moyen)",
        "Beurre à 39-41% MG, léger, doux",
        "Cheesecake ou Gâteau au fromage frais, préemballé",
        "Fondant au chocolat noir et crème anglaise, préemballé",
        "Gâteau au chocolat, coeur fondant, préemballé (rayon frais)",
        "Profiteroles (crème pâtissière et sauce chocolat), préemballées",
        "Mousse au chocolat traditionnelle, préemballée",
        "Clafoutis aux fruits, préemballé",
        "Gâteau de semoule aux raisins et caramel, rayon frais",
        "Gâteau de riz au caramel, rayon frais",
        "Crème brûlée, rayon frais",
        "Pain perdu",
        "Crème dessert au chocolat, rayon frais",
        "Crème dessert au caramel, rayon frais",
        "Crème dessert à la vanille, rayon frais",
        "Crème dessert, appertisée (aliment moyen)",
        "Mousse liégeoise (chocolat, café, caramel ou vanille), rayon frais",
        "Crème caramel, rayon frais",
        "Riz au lait, rayon frais",
        "Ile flottante, rayon frais",
        "Semoule au lait, rayon frais",
        "Mousse aux fruits, rayon frais",
        "Mousse au chocolat végétale, préemballée",
        "Dessert au soja, nature, non sucré, non enrichi, fermenté, préemballé",
        "Dessert au soja, aromatisé, sucré, non enrichi, préemballé",
        "Dessert végétal sans soja (amande, avoine, chanvre, coco, riz), aromatisé, sucré, non enrichi, préemballé",
        "Fromage frais type petit suisse, aromatisé chocolat, sucré",
        "Fromage blanc ou spécialité laitière, aux copeaux de chocolat, sucré, 7% MG environ",
        "Fromage blanc ou spécialité laitière, aux fruits, sucré, gourmand, 7% MG environ",
        "Milk-shake, provenant de fast food",
        "Liégeois ou viennois (chocolat, café, caramel ou vanille), rayon frais",
        "Lait gélifié aromatisé, nappé caramel, rayon frais",
        "Mousse au chocolat (base laitière), rayon frais",
        "Crème dessert à la vanille, appertisée",
        "Crème dessert au chocolat, appertisée",
        "Crème dessert au café, rayon frais",
        "Mousse à la crème de marrons, préemballée",
        "Liégeois aux fruits, préemballé",
        "Gâteau de semoule, appertisé",
        "Gâteau de riz, appertisé",
        "Dessert au soja, aux amandes, fermenté, préemballé",
        "Yaourt, lait fermenté ou spécialité laitière, aux copeaux de chocolat, à la crème, sucré",
        "Yaourt, lait fermenté ou spécialité laitière, aromatisé, sucré, à la crème",
        "Fromage blanc et crème fouettée sur lit de fruits, sucré",
        "Fromage blanc nature, gourmand, 8% MG environ",
        "Fromage blanc ou spécialité laitière nature et crème fouetté, 10% MG environ",
        "Lait emprésuré aromatisé, rayon frais",
        "Lait gélifié aromatisé, rayon frais",
        "Lait gélifié aromatisé, allégé en matière grasse et en sucre, rayon frais",
        "Crème dessert, rayon frais (aliment moyen)",
        "Crème dessert, rayon frais ou appertisée (aliment moyen)",
        "Crème pâtissière",
        "Yaourt, lait fermenté ou spécialité laitière, aux fruits, sucré, à la crème",
        "Yaourt, lait fermenté ou spécialité laitière, nature, à la crème",
        "Spécialité laitière type encas, riche en protéines, sur lit de fruits, sucrée",
        "Fromage blanc ou spécialité laitière, aromatisé, sucré, 3% MG environ, au bifidus",
        "Fromage blanc ou spécialité laitière, aux fruits, sucré, 3% MG environ",
        "Fromage frais type petit suisse, nature, 10% MG environ",
        "Crème dessert, allégée en MG, rayon frais",
        "Flan aux oeufs, rayon frais",
        "Crème aux oeufs (petit pot de crème chocolat, vanille, etc.), rayon frais",
        "Dessert au soja, aux fruits, sucré, enrichi en calcium, fermenté, préemballé",
        "Dessert au soja, aromatisé, sucré, enrichi en calcium, préemballé",
        "Dessert végétal sans soja (coco, riz), aux fruits, sucré, enrichi en calcium, fermenté, préemballé",
        "Yaourt, lait fermenté ou spécialité laitière, aux fruits, sucré, enrichi en vitamine D",
        "Yaourt, lait fermenté ou spécialité laitière, nature, 0% MG, sucré, enrichi en vitamine D",
        "Yaourt à la grecque, aromatisé, sucré",
        "Faisselle au coulis de fruits",
        "Fromage blanc ou spécialité laitière, aromatisé, sucré, 3% MG environ",
        "Fromage blanc ou spécialité laitière, aux fruits, sucré, 3% MG environ, au bifidus",
        "Dessert au soja, aux fruits, sucré, non enrichi, fermenté, préemballé",
        "Boisson lactée, lait fermenté ou yaourt à boire, aromatisé, sucré",
        "Boisson lactée, lait fermenté ou yaourt à boire, aromatisé, sucré, enrichi en vitamine D",
        "Boisson lactée, lait fermenté ou yaourt à boire, aux fruits, sucré",
        "Boisson lactée, lait fermenté ou yaourt à boire, aux fruits, sucré, enrichie en vitamine D",
        "Lait fermenté ou spécialité laitière type yaourt, aromatisé, sucré, au bifidus",
        "Lait fermenté ou spécialité laitière type yaourt, sur lit de fruits, sucré, au bifidus",
        "Yaourt à la grecque, sur lit de fruits",
        "Yaourt au lait de brebis, aromatisé, sucré",
        "Yaourt, lait fermenté ou spécialité laitière sur lit de fruits, sucré",
        "Yaourt, lait fermenté ou spécialité laitière, aromatisé, sucré",
        "Yaourt, lait fermenté ou spécialité laitière, aromatisé, sucré, enrichi en vitamine D",
        "Yaourt, lait fermenté ou spécialité laitière, aux fruits, sucré",
        "Fromage blanc ou spécialité laitière, aromatisé, sucré, 0% MG",
        "Fromage blanc ou spécialité laitière, aux fruits, sucré, 0% MG",
        "Boisson lactée, lait fermenté ou yaourt à boire, aromatisé, sucré, au L Casei",
        "Boisson lactée, lait fermenté ou yaourt à boire, nature, sucré, au L Casei",
        "Lait fermenté ou spécialité laitière type yaourt, aux fruits, sucré, au bifidus",
        "Lait fermenté ou spécialité laitière type yaourt, sur lit de fruits, sucré, au bifidus",
        "Yaourt, lait fermenté ou spécialité laitière, aromatisé ou aux fruits, sucré (aliment moyen)",
        "Yaourt, lait fermenté ou spécialité laitière, aromatisé ou aux fruits, sucré, non allégé en MG (aliment moyen)",
        "Lait entier, UHT",
        "Lait entier, pasteurisé",
        "Lait de chèvre, entier, UHT",
        "Lait de chèvre, entier, cru",
        "Lait de brebis, entier",
        "Lait de jument, entier",
        "Lait en poudre, entier",
        "Lait concentré non sucré, entier",
        "Lait concentré sucré, entier",
        "Lait en poudre, demi-écrémé",
        "Lait en poudre, écrémé",
        "Tartine craquante, extrudée et grillée, fourrée au chocolat",
        "Tartine craquante, extrudée et grillée, fourrée aux fruits",
        "Macaron sec",
        "Spéculoos",
        "Biscuit sec petit beurre",
        "Biscuit sec avec tablette de chocolat",
        "Biscuit sec petit beurre au chocolat",
        "Biscuit sec fourré à la pâte ou purée de fruits",
        "Biscuit sec avec nappage chocolat",
        "Barre biscuitée fourrée aux fruits, allégée en matière grasse",
        "Biscuit sec pour petit déjeuner, au chocolat",
        "Biscuit sec au beurre, sablé, galette ou palet",
        "Biscuit sec au beurre, sablé, galette ou palet, au chocolat",
        "Biscuit sec chocolaté, type barquette",
        "Biscuit sec chocolaté, type tartelette",
        "Florentin (biscuit sec sucré chocolaté aux amandes)",
        "Sablé à la noix de coco",
        "Sablé pâtissier, artisanal",
        "Sablé au cacao ou chocolat, au praliné ou autre",
        "Goûter sec fourré ('sandwiché') parfum lait ou vanille",
        "Goûter sec fourré ('sandwiché') parfum chocolat",
        "Gaufrette fourrée chocolat, préemballée",
        "Cigarette",
        "Crêpe dentelle au chocolat, préemballée",
        "Meringue",
        "Biscuit moelleux fourré à l'orange et enrobé de sucre glace",
        "Cookie aux pépites de chocolat",
        "Génoise sèche fourrée aux fruits et nappée de chocolat",
        "Biscuit sec croquant au chocolat, allégé en matière grasse",
        "Biscuit sec fourré aux fruits, allégé en matière grasse",
        "Biscuit sec, petits fours en assortiment",
        "Biscuit sec chocolaté, préemballé",
        "Biscuit sec chocolaté, type galette",
        "Biscuit sec, sablé, galette ou palet, aux fruits",
        """Goûter sec fourré ("sandwiché") parfum lait ou vanille""",
        """Goûter sec fourré ("sandwiché") parfum chocolat""",
        """Goûter sec fourré ("sandwiché") parfum fruits""",
        "Gaufrette fourrée fruits à coque (noisette, amande, praline, etc.), chocolatée ou non, préemballée",
        "Gaufrette, fourrée vanille, préemballée",
        "Gaufrette fourrée, aux fruits",
        "Crêpe dentelle",
        "Biscuit sec type langue de chat ou cigarette russe",
        "Biscuit sec feuilleté, type palmier ou autres",
        "Palmier, artisanal",
        "Biscuit sec (génoise) nappage aux fruits, type barquette",
        "Biscuit sec nappé aux fruits, tartelette",
        "Cône ou cornet classique, pour glace",
        "Biscuit sec, avec matière grasse végétale",
        "Biscuit sec fourré fruits à coque (non ou légèrement chocolaté)",
        "Biscuit pâtissier meringué",
        "Sablé aux fruits (pomme, fruits rouges, etc.)",
        "Gaufrette ou éventail sans fourrage",
        "Viennoiserie (aliment moyen)",
        "Croissant, sans précision",
        "Croissant ordinaire, artisanal",
        "Croissant au beurre, artisanal",
        "Croissant aux amandes, artisanal",
        "Pain au lait aux pépites de chocolat, préemballé",
        "Pain aux raisins (viennoiserie)",
        "Pain au chocolat feuilleté, artisanal",
        "Pain au chocolat, préemballé",
        "Brioche (ou briochettes) aux pépites de chocolat, préemballée",
        "Brioche fourrée au chocolat",
        "Brioche fourrée aux fruits, préemballée",
        "Brioche fourrée crème pâtissière (type 'chinois'), préemballée",
        "Brioche pur beurre, préemballée",
        "Couronne de Noël (Brioche) aux fruits confits, préemballée",
        "Chouquette",
        "Chausson aux pommes",
        "Cacahuète, grillée, salée",
        "Pistache, grillée, salée",
        "Crème de marrons",
        "Crème de marrons vanillée, appertisée",
        "Mélange apéritif de graines salées et raisins secs",
        "Noix de cajou, grillée, salée",
        "Amande, grillée, salée",
        "Noix de macadamia, grillée, salée",
        "Tournesol, graine, grillé, salé",
        "Noix de pécan, salées",
        "Noisette grillée, salée",
        "Cacahuète, grillée à sec, salée",
        "Pâte d'amande, préemballée",
        "Beurre de cacahuète ou Pâte d'arachide (si avec sucre ajouté ou non naturel)",
        "Arachide, bouillie/cuite à l'eau, salée",
        "Farine de châtaigne",
        "Amande (avec peau)",
        "Cacahuète ou Arachide",
        "Noisette",
        "Noix, séchée, cerneaux",
        "Noix de coco, amande mûre, fraîche",
        "Noix de coco, amande, sèche",
        "Noix du Brésil",
        "Sésame, graine",
        "Tournesol, graine",
        "Noix de coco, amande immature, fraîche",
        "Châtaigne, bouillie/cuite à l'eau",
        "Châtaigne, grillée",
        "Noix, fraîche",
        "Châtaigne, crue",
        "Pignon de pin",
        "Noix de pécan",
        "Noix de macadamia",
        "Cucurbitacées, graine",
        "Luzerne, graine germée",
        "Lin, graine",
        "Chia, graine, séchée",
        "Lin, brun, graine",
        "Tahin ou Purée de sésame",
        "Soja, graine entière",
        "Pistache, grillée",
        "Abricot au sirop, appertisé, égoutté",
        "Macédoine ou cocktail ou salade de fruits, au sirop, appertisé",
        "Ananas au sirop léger, appertisé, non égoutté",
        "Pêche au sirop léger, appertisée, non égouttée",
        "Poire au sirop léger, appertisée, non égouttée",
        "Fruits séchés (abricot sec, raisin sec, datte, pruneau, etc.)",
        "Chips d'abricot pays",
        "Compote ou assimilé, tout type de fruits, teneur en sucre inconnue",
        "Jus de fruits (filtrés ou non, même pur jus)",
        "Abricot au sirop (sans précision sur léger ou classique), appertisé, égoutté",
        "Macédoine ou cocktail ou salade de fruits, au sirop, appertisé, égoutté",
        "Macédoine ou cocktail ou salade de fruits, au sirop, appertisé, non égoutté",
        "Macédoine ou cocktail ou salade de fruits, au sirop léger, appertisé, égoutté",
        "Abricot au sirop léger, appertisé, égoutté",
        "Pêche au sirop léger, appertisée, égouttée",
        "Poire au sirop léger, appertisée, égouttée",
        "Abricot, dénoyauté, sec",
        "Datte, pulpe et peau, sèche",
        "Figue, sèche",
        "Pruneau, sec",
        "Raisin, sec",
        "Banane, pulpe, sèche",
        "Pomme, sèche",
        "Pêche, sèche",
        "Canneberge ou cranberry, séchée, sucrée",
        "Compote ou assimilé, tout type de fruits, teneur en sucre (allégée en sucres ou non, sans sucres ajoutés...) inconnue",
        "Dessert de fruits, tout type de fruits (en taux de sucres : compotes allégées en sucres < desserts de fruits < compotes allégées)",
        "Spécialité de fruits divers, sucrée (mélange pulpes et/ou purées de fruits, mais toujours avec autre ingrédient)",
        "Jus de carambole, prélevé à la Martinique, jus filtré",
        "Jus de corossol, prélevé à la Martinique",
        "Jus de grenade, prélevée à la Martinique",
        "Jus de lime, pur jus, prélevé à la Martinique",
        "Jus de mandarine commune, pur jus filtré pasteurisé, prélevée à la Martinique",
        "Jus de prune de cythère verte 'géante' (variété locale), fruit mûr, pur jus filtré, prélevée à la Martinique",
        "Jus de prune de cythère verte 'naine' (variété hybride), fruit mûr, pur jus filtré, prélevée à la Martinique",
        # Fruits au sirop ou transformés
        "Abricot au sirop (sans précision sur léger ou classique), appertisé, égoutté",
        "Macédoine ou cocktail ou salade de fruits, au sirop, appertisé, égoutté",
        "Macédoine ou cocktail ou salade de fruits, au sirop léger, appertisé, non égoutté",
        "Abricot au sirop léger, appertisé, non égoutté",
        "Abricot au sirop, appertisé, non égoutté",
        "Ananas au jus d'ananas, appertisé, non égoutté",
        "Ananas au sirop léger, appertisé, égoutté",
        "Mandarine commune, pulpe, au sirop, appertisée, non égouttée, prélevée à la Martinique",
        "Abricot, dénoyauté, sec",
        "Datte, pulpe et peau, sèche",
        "Figue, sèche",
        "Pruneau, sec",
        "Raisin, sec",
        "Banane, pulpe, sèche",
        "Canneberge ou cranberry, séchée, sucrée",
        "Compote ou assimilé, tout type de fruits, teneur en sucre (allégée en sucres ou non, sans sucres ajoutés...) inconnue",
        "Dessert de fruits, tout type de fruits",
        "Spécialité de fruits divers, sucrée (mélange pulpes et/ou purées de fruits, mais toujours avec autre ingrédient)",
        "Jus de carambole, prélevée à la Martinique, jus non filtré",
        "Jus de citron punch (variété petit calibre), pur jus, prélevé à la Martinique",
        "Jus de mandarine commune, pur jus filtré pasteurisé, prélevée à la Martinique",
        "Jus de prune de cythère verte 'géante' (variété locale), fruit mûr, pur jus filtré, prélevée à la Martinique",
        "Abricot au sirop (sans précision sur léger ou classique), appertisé, égoutté",
        "Macédoine ou cocktail ou salade de fruits, au sirop, appertisé, égoutté",
        "Ananas au jus d'ananas, égoutté, appertisé",
        "Abricot, dénoyauté, sec, moelleux (réhydraté à 35-45%)",
        "Compote ou assimilé, tout type de fruits, teneur en sucre (allégée en sucres ou non, sans sucres ajoutés...) inconnue",
        """Purée de pommes, type "compote sans sucres ajoutés" """,
        "Dessert de fruits, tout type de fruits",
        "Jus de citron vert (variété gros calibre), pur jus, prélevé à la Martinique",
        "Jus de fruit de la passion ou maracudja, prélevé à la Martinique, pur jus",
        "Jus de mandarine commune, pur jus filtré, prélevée à la Martinique",
        """Jus de prune de cythère verte "géante" (variété locale), fruit mûr, pur jus filtré, prélevée à la Martinique""",
        "Datte, pulpe et peau, sèche",
        "Figue, sèche",
        "Pruneau, sec" "Raisin, sec" "Mélange apéritif de fruits exotiques, sec",
        "Tamarin, fruit mûr, pulpe, cru",
        "Kaki, pulpe, cru",
        "Abricot pays, pulpe, au sirop, appertisé, non égoutté, prélevé à la Martinique",
        "Chips d'abricot pays, pulpe, prélevé à la Martinique",
        """Jus de prune de cythère verte "géante" (variété locale), fruit vert, pur jus filtré, prélevée à la Martinique""",
        "Abricot au sirop (sans précision sur léger ou classique), appertisé, égoutté",
        "Macédoine ou cocktail ou salade de fruits, au sirop, appertisé, égouttée",
        "Mélange apéritif de fruits exotiques, sec",
        "Chips d'abricot pays, pulpe, prélevé à la Martinique",
        " Compote, tout type de fruits",
        " Compote, tout type de fruits, allégée en sucres",
        " Compote de pomme, allégée en sucres",
        """ Purée de fruits, tout type de fruits, type "compote sans sucres ajoutés" """,
        " Dessert de fruits, tout type de fruits",
        " Compote ou assimilé, tout type de fruits, teneur en sucre (allégée ou non, sans sucres ajoutés) inconnue",
        "Jus de mandarine macaque, pur jus filtré, prélevée à la Martinique",
        "Jus de moubin, pur jus, prélevé à la Martinique",
        "Jus de pamplemousse (variété locale), pur jus, prélevé à la Martinique",
        """Jus de prune de cythère verte "géante" (variété locale), fruit vert, pur jus filtré, prélevée à la Martinique""",
        """Jus de prune de cythère verte "naine" (variété hybride), fruit mûr, pur jus filtré, prélevée à la Martinique""",
        "Abricot pays, pulpe, au sirop, appertisé, non égoutté, prélevé à la Martinique",
        "Mango bassignac, pulpe, cru, prélevé à la Martinique",
        "Mango moussache, pulpe, cru, prélevé à la Martinique",
        "Mangue verte, pulpe, crue, prélevée à la Martinique",
        "Orange amère, pulpe, crue, prélevée à la Martinique",
        "Prune de cythère, verte ou immature, fruit entier, crue, prélevée à la Martinique",
    ]

    SORTED_BREAKFAST: SortedBreakfast = {
        "start": ["laits", "produits laitiers frais et assimilés"],
        "middle": {
            "toast": [
                "sucres, miels et assimilés",
                "confitures et assimilés",
                "beurres",
            ],
            "cookies": [
                "chocolats et produits à base de chocolat",
                "biscuits sucrés",
                "barres céréalières",
            ],
            "bread_toast": ["viennoiseries", "pains et assimilés"],
            "cereal": ["céréales de petit-déjeuner"],
            "fruits": ["fruits à coque et graines oléagineuses", "fruits"],
        },
        "end": ["eaux", "boissons sans alcool"],
    }


class LUNCH:
    SORTED_LUNCH: SortedFoodLunch = {
        "entries": [
            "salades composées et crudités",
            "soupes",
            "feuilletées et autres entrées",
            "biscuits apéritifs",
        ],
        "main_meal": {
            "composed_dishes": [
                "plats composés",
                "pizzas, tartes et crêpes salées",
                "sandwichs",
            ],
            "meats_and_fish": [
                "viandes cuites",
                "viandes crues",
                "charcuteries et assimilés",
                "poissons cuits",
                "poissons crus",
                "œufs",
                "autres produits à base de viande",
            ],
            "starchy_foods": [
                "pâtes, riz et céréales",
            ],
        },
        "dessert": {
            "cheeses": ["fromages et assimilés"],
            "product_dairy": ["produits laitiers frais et assimilés"],
            "fruits": [
                "fruits",
                "fruits à coque et graines oléagineuses",
            ],
            "cakes": ["gâteaux et pâtisseries"],
        },
        "bread": ["pains et assimilés"],
        "drinks": [
            "eaux",
            "boissons sans alcool",
        ],
    }
    ELEMENTS_TARGET = {
        "produits laitiers frais et assimilés": [
            "Boisson lactée, lait fermenté ou yaourt à boire, aromatisé, avec édulcorants, allégé en sucres, 0% MG, au L Casei",
            "Boisson lactée, lait fermenté ou yaourt à boire, aux fruits, sucré",
            "Yaourt à la grecque, au lait de brebis",
            "Yaourt, lait fermenté ou spécialité laitière, aux fruits, sucré",
            "Fromage blanc nature, 0% MG",
            "Fromage blanc ou spécialité laitière, aux fruits, sucré, 0% MG",
            "Faisselle au coulis de fruits",
            "Fromage blanc nature, 3% MG environ",
            "Mousse de fromage blanc sur lit de fruits, 0% MG, avec édulcorants, enrichie en calcium et vitamine D",
            "Crème dessert au chocolat, rayon frais",
            "Mousse au chocolat (base laitière), rayon frais",
            "Crème caramel, rayon frais",
            "Flan aux oeufs, rayon frais",
            "Riz au lait, rayon frais",
            "Semoule au lait, rayon frais",
            "Dessert au soja, aux fruits, sucré, enrichi en calcium, fermenté, préemballé",
            "Dessert au soja, nature, non sucré, enrichi en calcium, fermenté, préemballé",
            "Mousse au chocolat végétale, préemballée",
            "Fromage de chèvre frais, au lait pasteurisé (type bûchette fraîche)",
            "Fromage de chèvre frais, au lait cru (type palet ou crottin frais)",
            "Fromage de chèvre frais, au lait pasteurisé ou cru (type crottin frais ou bûchette fraîche)",
            "Fromage de chèvre à tartiner, nature",
            "Fromage blanc ou spécialité laitière, aromatisé, sucré, 0% MG",
            "Fromage fondu en portions ou en cubes environ 8% MG",
            "Fromage rond à pâte molle et croûte fleurie environ 5% MG type camembert allégé en matière grasse"
            "Parmesan",
            "Comté",
            "Gruyère",
            "Cantal entre-deux",
            "Mimolette jeune",
            "Saint-Nectaire, laitier",
            "Ossau-Iraty",
            "Fromage de brebis à pâte pressée",
            "Gouda",
            "Edam",
            "Camembert, sans précision",
            "Brie de Meaux",
            "Coulommiers",
            "Pont l'Évêque",
            "Saint-Marcellin",
            "Fromage de chèvre lactique affiné, au lait cru (type Crottin de Chavignol, Picodon, Rocamadour, Sainte-Maure de Touraine)",
            "Biscuit de Savoie",
            "Pain d'épices",
            "Tarte aux fruits et crème pâtissière",
            "Tarte ou tartelette aux pommes",
            "Tarte aux fraises",
            "Tarte aux abricots",
            "Tarte aux fruits rouges",
            "Tarte Tatin aux pommes",
            "Tarte ou tartelette aux fruits",
            "Flan pâtissier aux oeufs ou à la parisienne",
            "Gâteau au yaourt",
            "Gâteau au fromage blanc",
            "Gâteau moelleux nature type génoise",
            "Crêpe, nature, préemballée, rayon frais",
            "Crêpe, nature, préemballée, rayon température ambiante",
            "Galette de sarrasin, nature, préemballée",
            "Crêpe fourrée au sucre, préemballée",
            "Crêpe fourrée à la confiture, maison",
            "Crêpe fourrée chocolat, préemballée",
            "Crêpe fourrée fraise, préemballée",
            "Gâteau moelleux aux fruits, préemballé",
            "Madeleine ordinaire, préemballée",
            "Tarte aux poires amandine",
        ],
        "boissons sans alcool": [
            "Jus d'ananas, pur jus",
            "Jus multifruit, pur jus, multivitaminé",
            "Jus de fruits (aliment moyen)",
            "Jus de carotte, pur jus",
            "Jus de citron, maison",
            "Jus multifruit - base orange, multivitaminé",
            "Jus d'orange, pur jus",
            "Jus d'orange, maison",
            "Jus de pomme, pur jus",
            "Jus de pamplemousse (pomelo), pur jus",
            "Jus de raisin, pur jus",
            "Jus de grenade, pur jus",
            "Jus de mangue, frais",
            "Jus de fruit de la passion ou maracudja, frais",
            "Jus de pamplemousse (pomélo), maison",
            "Jus de citron, pur jus",
            "Jus de citron vert, maison",
            "Jus de citron vert, pur jus",
            "Jus multifruit, pur jus, standard",
            "Jus de clémentine ou mandarine, pur jus",
            "Jus de fruit(s) et de légume(s), pur jus",
            "Jus de tomate, pur jus (aliment moyen)",
            "Jus multifruit, à base de concentré, standard",
            "Jus de fruits, pur jus (aliment moyen)",
            "Jus de légumes, pur jus (aliment moyen)",
            "Jus d'orange sanguine, pur jus",
            "Nectar d'abricot",
            "Nectar de papaye",
            "Nectar de poire",
            "Nectar multifruit, multivitaminé",
            "Nectar multifruit, standard",
            "Nectar multifruit - base pomme, multivitaminé",
            "Nectar multifruit - base pomme, standard",
            "Nectar multifruit - base orange, multivitaminé",
            "Nectar multifruit - base orange, standard",
            "Nectar de pomme",
            "Nectar de fruit de la passion ou maracuja",
            "Nectar de banane",
            "Nectar de goyave",
            "Nectar de mangue",
            "Nectar de pêche",
            "Nectar d'ananas",
            "Nectar d'orange",
            "Boisson à l'eau minérale ou de source, aromatisée, non sucrée, sans édulcorant",
            "Boisson à l'eau minérale ou de source, aromatisée, non sucrée, avec édulcorants",
        ],
        "pains et assimilés": [
            "Pain, baguette, courante",
            "Pain, baguette ou boule, au levain",
            "Pain, baguette, de tradition française",
            "Pain, baguette ou boule, bis (à la farine T80 ou T110)",
            "Pain courant, 400g ou boule",
            "Pain, baguette ou boule, bio (à la farine T55 jusqu'à T110)"
            "Pain, baguette ou boule, de campagne",
            "Pain complet ou intégral (à la farine T150)",
            "Pain au son",
            "Pain de seigle, et froment",
            "Pain, sans gluten",
            "Pain, baguette, sans sel",
            "Pain blanc maison (avec farine pour machine à pain)",
            "Pain de campagne maison (avec farine pour machine à pain)",
        ],
    }

    ELEMENT_DEL = [
        "Jambonneau, cuit",
        "Coppa",
        "Pancetta ou Poitrine roulée sèche",
        "Saucisson sec",
        "Rosette ou Fuseau",
        "Saucisse sèche",
        "Saucisson sec aux noix et/ou noisettes",
        "Chipolata, cuite",
        "Saucisse de Toulouse, cuite",
        "Chair à saucisse, crue",
        "Saucisse fumée, à cuire",
        "Saucisse de Morteau",
        "Saucisse de Montbéliard",
        "Saucisse de Morteau, bouillie/cuite à l'eau",
        "Saucisse de Toulouse, crue",
        "Chipolata, crue",
        "Saucisse alsacienne fumée ou Gendarme",
        "Saucisse de Strasbourg ou Knack",
        "Saucisse cocktail",
        "Saucisse viennoise, crue",
        "Saucisse de langue à la pistache",
        "Andouille",
        "Andouille de Guéméné",
        "Andouille, réchauffée à la poêle",
        "Andouille de Vire",
        "Andouillette, à cuire",
        "Andouillette, sautée/poêlée",
        "Andouillette de Troyes, à cuire",
        "Saucisson à l'ail",
        "Saucisson de Paris",
        "Saucisson de Paris, fumé",
        "Saucisson brioché, cuit",
        "Mortadelle",
        "Lardon nature, cru",
        "Lardon nature, cuit",
        "Lardon fumé, cru",
        "Lardon fumé, cuit",
        "Fromage de tête",
        "Chevreuil, rôti/cuit au four",
        "Sanglier, rôti/cuit au four",
        "Cerf, rôti/cuit au four",
        "Gibier à poil, cuit (aliment moyen)",
        "Gibier à plumes, viande, cuit (aliment moyen)",
        "Cheval, viande, rôtie/cuite au four",
        "Cheval, tende de tranche, grillée/poêlée",
        "Cheval, faux-filet, grillé/poêlé",
        "Cheval, entrecôte, grillée/poêlée",
        "Cheval, faux-filet, rôti/cuit au four",
        "Cheval, tende de tranche, rôtie/cuite au four",
        "Lapin, viande braisée",
        "Lapin, viande cuite",
        "Lapin de garenne, viande, cuite",
        "Oie, viande, rôtie/cuite au four",
        "Oie, viande et peau, rôtie/cuite au four",
        "Cervelle, agneau, cuite",
        "Cervelle, veau, cuite",
        "Ris, agneau, cuit",
        "Ris, veau, braisé ou sauté/poêlé",
        "Rognon, cuit (aliment moyen)",
        "Rognon, boeuf, cuit",
        "Rognon, agneau, braisé",
        "Rognon, veau, braisé ou sauté/poêlé",
        "Abat, cuit (aliment moyen)",
        "Sanglier, cru",
        "Lièvre, viande crue",
        "Chevreuil, cru",
        "Cerf, cru",
        "Cheval, viande, crue",
        "Cheval, steak, cru",
        "Cheval, tende de tranche, crue",
        "Cheval, faux-filet, cru",
        "Cheval, entrecôte, crue",
        "Oie, viande crue",
        "Oie, viande et peau, crue",
        "Pigeon, cru",
        "Canard, viande, crue",
        "Canard, cuisse avec peau, sans os, crue",
        "Canard, viande et peau, cru",
        "Canard, magret, cru",
        "Foie, oie, cru",
        "Foie, canard, cru",
        "Sang, boeuf, cru",
        "Lapin, viande crue",
        "Lapin de garenne, viande, crue",
        "Chevreau, cru",
        "Poule, viande et peau, crue",
        "Poule, viande ,crue",
        "Poule, cuisse, crue",
        "Caille, viande et peau, crue",
        "Caille, viande, crue",
        "Chapon, viande et peau, cru",
        "Pintade, crue",
        "Pintade, poitrine, crue",
        "Pintade, cuisse, crue",
        "Autruche, viande crue",
        "Cervelle, agneau, crue",
        "Cervelle, veau, crue",
        "Ris, agneau, cru",
        "Ris, veau, cru",
        "Rognon, boeuf, cru",
        "Rognon, agneau, cru",
        "Rognon, veau, cru",
        "Tripes, boeuf, crues",
        "Anguille, cuite (aliment moyen)",
        "Anguille, rôtie/cuite au four",
        "Anguille, bouillie/cuite à l'eau",
        "Panga, Pangasius, ou poisson-chat du Mékong, filet, cuit",
        "Roussette ou petite roussette ou saumonette, cuite",
        "Roussette ou petite roussette ou saumonette, crue",
        "Espadon, cru",
        "Anguille, crue",
        "Pangasius ou Poisson-chat, cru",
        "Tilapia, cru",
        "Perche du Nil, crue",
        "Requin, cru",
        "Congre, cru",
        "Lotte de rivière, crue",
        "Sabre, cru",
        "Grenadier (de roche), cru",
        "Lompe, crue",
        "Orphie commune, crue",
    ]


class SNACK:
    ELEMENT_TARGET = {
        "laits": [
            "Lait entier, UHT",
            "Lait entier, pasteurisé",
            "Lait demi-écrémé, UHT, enrichi en vitamine D seulement",
            """Lait à 1,2% de matière grasse, UHT, enrichi en plusieurs vitamines""",
            "Lait, teneur en matière grasse inconnue, UHT (aliment moyen)",
            "Lait demi-écrémé, UHT",
            "Lait demi-écrémé, pasteurisé",
            "Lait écrémé, UHT",
            "Lait écrémé, pasteurisé",
            "Lait demi-écrémé (ou à teneur en matière grasse légèrement inférieure) à teneur réduite en lactose",
            "Lait de chèvre, entier, UHT",
            "Lait de chèvre, demi-écrémé, UHT",
            "Lait de chèvre, entier, cru",
            "Lait de jument, entier",
            "Lait de brebis, entier",
        ],
        "produits laitiers frais et assimilés": [
            "Boisson lactée, lait fermenté ou yaourt à boire, aromatisé, avec édulcorants, allégé en sucres, 0% MG, au L Casei",
            "Boisson lactée, lait fermenté ou yaourt à boire, aromatisé, sucré",
            "Boisson lactée, lait fermenté ou yaourt à boire, aromatisé, sucré, au L Casei",
            "Boisson lactée, lait fermenté ou yaourt à boire, aromatisé, sucré, enrichi en vitamine D",
            "Boisson lactée, lait fermenté ou yaourt à boire, aux fruits, sucré",
            "Boisson lactée, lait fermenté ou yaourt à boire, aux fruits, sucré, enrichie en vitamine D",
            "Lait fermenté ou spécialité laitière type yaourt, aromatisé, sucré, au bifidus",
            "Lait fermenté ou spécialité laitière type yaourt, aux fruits, avec édulcorants, 0% MG, au bifidus",
            "Lait fermenté ou spécialité laitière type yaourt, nature, 0% MG, au bifidus",
            "Yaourt à la grecque, au lait de brebis",
            "Yaourt à la grecque, sur lit de fruits",
            "Yaourt au lait de brebis, nature, 3% MG environ",
            "Fromage blanc nature, 0% MG",
            "Fromage blanc nature, 3% MG environ",
            "Crème dessert, allégée en MG, rayon frais",
            "Flan aux oeufs, rayon frais",
            "Riz au lait, rayon frais",
            "Mousse aux fruits, rayon frais",
            "Crème dessert au chocolat, rayon frais",
            "Dessert au soja, nature, non sucré, enrichi en calcium, fermenté, préemballé",
            "Dessert au soja, aromatisé, sucré, enrichi en calcium, préemballé",
            "Dessert végétal sans soja (coco, riz), aux fruits, sucré, enrichi en calcium, fermenté, préemballé",
        ],
        "sucres, miels et assimilés": [
            "Miel",
            "Sirop d'érable",
            "Caramel liquide ou nappage caramel",
            "Sirop d'agave",
        ],
        "chocolats et produits à base de chocolat": [
            "Chocolat noir à 70% cacao minimum, extra, dégustation, tablette",
            "Chocolat noir sans sucres ajoutés, avec édulcorants, en tablette",
            "Chocolat noir aux fruits (orange, framboise, poire), tablette",
            "Chocolat noir aux fruits secs (noisettes, amandes, raisins, praliné), tablette",
            "Chocolat noir à 40% de cacao minimum, à pâtisser, tablette",
            "Barre goûter frais au lait et chocolat (avec modération)",
            "Rocher chocolat fourré praliné (occasionnel)",
        ],
        "confitures et assimilés": [
            "Confiture, tout type de fruits, allégée en sucres (extra ou classique)",
            "Confiture de fraise (extra ou classique)",
            "Confiture d'abricot (extra ou classique)",
            "Confiture de cerise (extra ou classique)",
            "Marmelade d'orange",
            "Confiture de prune (extra ou classique)",
            "Confiture de framboise (extra ou classique)",
            "Confiture de myrtilles (extra ou classique)",
            "Gelée de fruits divers (extra ou classique)",
            "Gelée de groseille (extra ou classique)",
            "Préparation de fruits divers (en taux de sucres : confitures allégées en sucres < préparations de fruits < confitures)",
        ],
        "viennoiseries": [
            "Pain brioché ou viennois",
            "Croissant ordinaire, artisanal",
            "Croissant au beurre, artisanal",
            "Pain au lait, artisanal",
            "Pain au lait, préemballé",
            "Brioche, préemballée",
            "Brioche, sans précision",
            "Brioche, de boulangerie traditionnelle",
            "Brioche pur beurre, préemballée",
            "Chouquette",
        ],
        "céréales de petit-déjeuner": [
            "Céréales pour petit déjeuner riches en fibres, avec ou sans fruits, enrichies en vitamines et minéraux",
            "Muesli floconneux aux fruits ou fruits secs, sans sucres ajoutés",
            "Flocon d'avoine précuit",
            "Muesli floconneux ou de type traditionnel",
            "Blé khorasan complet soufflé",
            "Céréales pour petit déjeuner très riches en fibres, enrichies en vitamines et minéraux",
            "Muesli croustillant au quinoa",
            "Riz soufflé nature, enrichi en vitamines et minéraux",
            "Pétales de maïs natures, enrichis en vitamines et minéraux",
            "Céréales complètes soufflées, enrichies en vitamines et minéraux",
            "Multi-céréales soufflées ou extrudées, enrichies en vitamines et minéraux",
        ],
        "barres céréalières": [
            "Barre céréalière pour petit déjeuner au lait, chocolatée ou non, enrichie en vitamines et minéraux",
            "Barre céréalière 'équilibre' aux fruits, enrichie en vitamines et minéraux",
            "Barre céréalière 'équilibre' chocolatée, enrichie en vitamines et minéraux",
            "Barre céréalière diététique hypocalorique",
            "Barre céréalière aux fruits",
            "Barre céréalière aux amandes ou noisettes",
        ],
        "gâteaux et pâtisseries": [
            "Gâteau mousse de fruits sur génoise, type miroir, bavarois",
            "Fraisier ou framboisier",
            "Biscuit de Savoie",
            "Quatre-quarts, fabrication artisanale",
            "Pain d'épices",
            "Pain d'épices fourré ou nonette",
            "Tarte aux fruits et crème pâtissière",
            "Tarte ou tartelette aux pommes",
            "Tarte aux fraises",
            "Crumble aux pommes",
            "Tarte aux abricots",
            "Tarte aux fruits rouges",
            "Tarte au citron",
            "Tarte ou tartelette aux fruits",
            "Flan pâtissier aux oeufs ou à la parisienne",
            "Gâteau au yaourt",
            "Gâteau au fromage blanc",
            "Galette des rois feuilletée",
            "Crêpe, nature, préemballée, rayon frais",
            "Crêpe, nature, préemballée, rayon température ambiante",
            "Gâteau basque, cerises",
            "Madeleine, pur beurre, préemballée",
            "Tarte aux poires amandine",
            "Gâteau aux amandes type financier",
            "Gaufre bruxelloise ou liégeoise, préparation artisanale",
        ],
        "fruits": [
            "Abricot, dénoyauté, cru",
            "Ananas, pulpe, cru",
            "Banane, pulpe, crue",
            "Cassis, cru",
            "Cerise, dénoyautée, crue",
            "Citron, pulpe, cru",
            "Coing, cru",
            "Figue, crue",
            "Fraise, crue",
            "Framboise, crue",
            "Fruit de la passion ou maracudja, pulpe et pépins, cru",
            "Grenade, pulpe et pépins, crue",
            "Groseille, crue",
            "Groseille à maquereau, crue",
            "Kiwi, pulpe et graines, cru",
            "Litchi, pulpe, cru",
            "Clémentine ou Mandarine, pulpe, crue",
            "Mangue, pulpe, cru",
            "Melon cantaloup (par ex.: Charentais, de Cavaillon), pulpe, cru",
            "Mirabelle, crue",
            "Myrtille, crue",
            "Mûre (de ronce), crue",
            "Nectarine ou brugnon, pulpe et peau, crue",
            "Orange, pulpe, crue",
            "Papaye, pulpe, crue",
            "Pastèque, pulpe, crue",
            "Poire, pulpe et peau, crue",
            "Pomme, pulpe et peau, crue",
            "Pomelo (dit Pamplemousse), pulpe, cru",
            "Prune Reine-Claude, crue",
            "Pêche, pulpe et peau, crue",
            "Raisin blanc, à gros grain (type Italia ou Dattier), cru",
            "Raisin noir, cru",
            "Rhubarbe, tige, crue",
            "Myrtille, surgelée, crue",
            "Framboise, surgelée, crue",
            "Fruits rouges, crus (framboises, fraises, groseilles, cassis)",
            "Compote, tout type de fruits, allégée en sucres",
            "Purée de fruits, tout type de fruits, type 'compote sans sucres ajoutés'",
        ],
        "fruits à coque et graines oléagineuses": [
            "Amande (avec peau)",
            "Noisette",
            "Noix, séchée, cerneaux",
            "Noix du Brésil",
            "Pistache, grillée",
            "Sésame, graine",
            "Tournesol, graine",
            "Noix de coco, amande mûre, fraîche",
            "Noix de coco, amande, sèche",
            "Châtaigne, crue",
            "Châtaigne, bouillie/cuite à l'eau",
            "Châtaigne, grillée",
            "Noix, fraîche",
            "Pignon de pin",
            "Noix de pécan",
            "Noix de macadamia",
            "Cucurbitacées, graine",
            "Lin, graine",
            "Sésame, graine décortiquée",
            "Chia, graine, séchée",
            "Mélange apéritif de graines (non salées) et fruits séchés",
            "Noisette grillée, sans sel ajouté",
            "Lin, brun, graine",
            "Cacahuète, grillée, sans sel ajouté",
            "Noix de cajou, grillée, non salée",
            "Noix de cajou, grillée à sec, non salée",
            "Soja, graine entière",
        ],
        "eaux": [
            "Eau de source, embouteillée (aliment moyen)",
            "Eau minérale, embouteillée, faiblement minéralisée (aliment moyen)",
            "Eau minérale (aliment moyen)",
            "Eau minérale, plate (aliment moyen)",
            "Eau minérale, gazeuse (aliment moyen)",
            "Eau du robinet",
            "Eau embouteillée de source",
            "Eau minérale Abatilles, embouteillée, non gazeuse, faiblement minéralisée (Arcachon, 33)",
            "Eau minérale Aix-les-Bains, embouteillée, non gazeuse, faiblement minéralisée (Aix-les-Bains, 73)",
            "Eau minérale Aizac, embouteillée, gazeuse, faiblement minéralisée (Aizac, 07)",
            "Eau minérale Amanda, embouteillée, non gazeuse, fortement minéralisée (St-Amand, 59)",
            "Eau minérale Arcens, embouteillée, gazeuse, moyennement minéralisée (Arcens, 07)",
            "Eau minérale Ardesy, embouteillée, gazeuse, fortement minéralisée (Ardes, 63)",
            "Eau minérale Celtic, embouteillée, gazeuse ou non gazeuse, très faiblement minéralisée (Niederbronn, 67)",
            "Eau minérale Chambon, embouteillée, non gazeuse, faiblement minéralisée (Chambon, 45)",
            "Eau minérale Chantemerle, embouteillée, non gazeuse, faiblement minéralisée (Le Pestrin, 07)",
            "Eau minérale Chateauneuf, embouteillée, gazeuse, fortement minéralisée (Chateauneuf, 63)",
            "Eau minérale Chateldon, embouteillée, gazeuse, fortement minéralisée (Chateldon, 63)",
            "Eau minérale Clos de l'Abbaye, embouteillée, non gazeuse, moyennement minéralisée (St-Amand, 59)",
            "Eau minérale Contrex, embouteillée, non gazeuse, fortement minéralisée (Contrexéville, 88)",
            "Eau minérale Dax, embouteillée, non gazeuse, moyennement minéralisée (Dax, 40)",
            "Eau minérale Didier, embouteillée, gazeuse, fortement minéralisée (Martinique)",
            "Eau minérale Didier, embouteillée non gazeuse, fortement minéralisée (Martinique)",
            "Eau minérale Evian, embouteillée, non gazeuse, faiblement minéralisée (Evian, 74)",
            "Eau minérale Hépar, embouteillée, non gazeuse, fortement minéralisée (Vittel, 88)",
            "Eau minérale Hydroxydase, embouteillée, gazeuse, fortement minéralisée (Le Breuil sur Couze, 63)",
            "Eau minérale Vernière, embouteillée, gazeuse, moyennement minéralisée (Les Aires, 34)",
            "Eau minérale Luchon, embouteillée, non gazeuse, faiblement minéralisée (Luchon, 31)",
            "Eau minérale Mont-Roucous, embouteillée, très faiblement minéralisée (Lacaune, 81)",
            "Eau de source Ogeu, embouteillée, faiblement minéralisée (Ogeu, 64)",
            "Eau minérale Orée du bois, embouteillée, non gazeuse, moyennement minéralisée (St-Amand, 59)",
            "Eau minérale Orezza, embouteillée, gazeuse, moyennement minéralisée (Rapaggio, 20B)",
            "Eau minérale Parot, embouteillée, gazeuse, moyennement minéralisée (St-Romain-le-Puy, 42)",
            "Eau minérale Plancoet, embouteillée, gazeuse ou non gazeuse, faiblement minéralisée (Plancoet, 22)",
            "Eau minérale Propiac, embouteillée, non gazeuse, fortement minéralisée (Propiac, 26)",
            "Eau minérale Puits St-Georges, embouteillée, gazeuse, moyennement minéralisée (St-Romain-le-Puy, 42)",
            "Eau minérale Quézac, embouteillée, gazeuse, moyennement minéralisée (Quézac, 48)",
            "Eau minérale Reine des basaltes, embouteillée, gazeuse, moyennement minéralisée (Asperjoc, 07)",
            "Eau minérale Rozana, embouteillée, gazeuse, fortement minéralisée (Beauregard, 63)",
            "Eau minérale Sail-les-Bains, embouteillée, non gazeuse, faiblement minéralisée (Sail-les-Bains, 42)",
            "Eau minérale Salvetat, embouteillée, gazeuse, moyennement minéralisée (La Salvetat, 34)",
            "Eau minérale St-Amand, embouteillée, gazeuse ou non gazeuse, moyennement minéralisée (St-Amand, 59)",
            "Eau minérale St-Antonin, embouteillée, non gazeuse, fortement minéralisée (St-Antonin-Noble-Val, 82)",
            "Eau minérale St-Diéry, embouteillée, gazeuse, fortement minéralisée (St-Diéry, 63)",
            "Eau minérale Ste-Marguerite, embouteillée, gazeuse, moyennement minéralisée (St-Maurice, 63)",
            "Eau minérale St-Yorre, embouteillée, gazeuse, fortement minéralisée (Saint-Yorre, 03)",
            "Eau minérale Thonon, embouteillée, non gazeuse, faiblement minéralisée (Thonon, 74)",
            "Eau minérale Ventadour, embouteillée, gazeuse, faiblement minéralisée (Le Pestrin, 07)",
            "Eau minérale Vernet, embouteillée, gazeuse, faiblement minéralisée (Prades, 07)",
            "Eau minérale Vichy Célestins, embouteillée, gazeuse, fortement minéralisée (Saint-Yorre, 03)",
            "Eau minérale Vittel, embouteillée, non gazeuse, moyennement minéralisée (Vittel, 88)",
            "Eau minérale Volvic, embouteillée, non gazeuse, faiblement minéralisée (Volvic, 63)",
            "Eau minérale Volvic active, embouteillée, gazeuse, faiblement minéralisée (Volvic, 63)",
            "Eau minérale Wattwiller, embouteillée, gazeuse ou non gazeuse, faiblement minéralisée (Wattwiller, 68)",
            "Eau minérale Perrier, embouteillée, gazeuse, faiblement minéralisée (Vergèse, 30)",
            "Eau minérale Badoit, embouteillée, gazeuse, moyennement minéralisée (St-Galmier, 42)",
        ],
        "boissons sans alcool": [
            "Jus d'ananas, à base de concentré",
            "Jus multifruit, pur jus, multivitaminé",
            "Jus de fruits (aliment moyen)",
            "Jus de carotte, pur jus",
            "Jus de citron, maison",
            "Jus multifruit - base orange, multivitaminé",
            "Jus d'orange, à base de concentré",
            "Jus d'orange, maison",
            "Jus de pomme, à base de concentré",
            "Jus de pamplemousse (pomélo), à base de concentré",
            "Jus de raisin, pur jus",
            "Jus de grenade, pur jus",
            "Jus de pruneau",
            "Jus de raisin, à base de concentré",
            "Jus de mangue, frais",
            "Jus de fruit de la passion ou maracudja, frais",
            "Jus de pamplemousse (pomélo), maison",
            "Jus de tomate, pur jus, salé à 3 g/L",
            "Jus de pamplemousse (pomelo), pur jus",
            "Jus de citron, pur jus",
            "Jus de citron vert, maison",
            "Jus de citron vert, pur jus",
            "Jus de tomate, pur jus, salé à 6g/L",
            "Jus multifruit, à base de jus et purée de fruits",
            "Jus de clémentine ou mandarine, pur jus",
            "Jus multifruit, pur jus, standard",
            "Jus multifruit - base raisin, standard",
            "Jus multifruit - base orange, standard",
            "Jus de grenade, frais",
            "Jus multifruit - base pomme, standard",
            "Jus multifruit - base pomme, multivitaminé",
            "Jus de fruit(s) et de légume(s), pur jus",
            "Jus de tomate, pur jus (aliment moyen)",
            "Jus multifruit, à base de concentré, standard",
            "Jus d'orange, pur jus",
            "Jus multifruit, à base de concentré, multivitaminé",
            "Jus de fruits, pur jus (aliment moyen)",
            "Jus d'ananas, pur jus",
            "Jus de pomme, pur jus",
            "Jus de légumes, pur jus (aliment moyen)",
            "Jus de fruits, à base de concentré (aliment moyen)",
            "Jus d'orange sanguine, pur jus",
            "Nectar multifruit - base pomme, standard",
            "Nectar multifruit - base pomme, multivitaminé",
            "Nectar d'abricot",
            "Nectar de papaye",
            "Nectar de poire",
            "Nectar multifruit, multivitaminé",
            "Nectar multifruit, standard",
            "Nectar multifruit - base orange, multivitaminé",
            "Nectar multifruit - base orange, standard",
            "Nectar, avec édulcorants, allégé en sucres",
            "Nectar de pomme",
            "Nectar de fruit de la passion ou maracuja",
            "Nectar de banane",
            "Nectar de goyave",
            "Nectar de mangue",
            "Nectar de pêche",
            "Nectar d'ananas",
            "Nectar d'orange",
            "Eau de coco",
            "Thé infusé, non sucré",
            "Café, non instantané, non sucré, prêt à boire",
            "Café décaféiné, non instantané, non sucré, prêt à boire",
            "Café expresso, non instantané, non sucré, prêt à boire",
            "Café décaféiné, instantané, non sucré, prêt à boire",
            "Café, instantané, non sucré, prêt à boire",
            "Thé noir, infusé, non sucré",
            "Thé vert, infusé, non sucré",
            "Thé oolong, infusé, non sucré",
        ],
    }


class DINNER:
    SORTED_DINNER: SortedFoodDinner = {
        "entries": [
            "salades composées et crudités",
            "soupes",
            "feuilletées et autres entrées",
            "biscuits apéritifs",
        ],
        "main_meal": {
            "composed_dishes": [
                "plats composés",
                "pizzas, tartes et crêpes salées",
                "sandwichs",
            ],
            "meats_and_fish": [
                "viandes cuites",
                "viandes crues",
                "charcuteries et assimilés",
                "poissons cuits",
                "poissons crus",
                "œufs",
                "autres produits à base de viande",
            ],
            "starchy_foods": [
                "pâtes, riz et céréales",
            ],
        },
        "dessert": {
            "cheeses": ["fromages et assimilés"],
            "product_dairy": ["produits laitiers frais et assimilés"],
            "fruits": [
                "fruits",
                "fruits à coque et graines oléagineuses",
            ],
            "cakes": ["gâteaux et pâtisseries"],
            "ice_creams": ["glaces", "sorbets", "desserts glacés"],
        },
        "bread": [
            "produits céréaliers",
        ],
        "drinks": [
            "eaux",
            "boissons sans alcool",
        ],
    }

    ELEMENTS_TARGET = {
        "produits laitiers frais et assimilés": [
            "Boisson lactée, lait fermenté ou yaourt à boire, aromatisé, avec édulcorants, allégé en sucres, 0% MG, au L Casei",
            "Boisson lactée, lait fermenté ou yaourt à boire, aux fruits, sucré",
            "Yaourt à la grecque, au lait de brebis",
            "Yaourt, lait fermenté ou spécialité laitière, aux fruits, sucré",
            "Fromage blanc nature, 0% MG",
            "Fromage blanc ou spécialité laitière, aux fruits, sucré, 0% MG",
            "Faisselle au coulis de fruits",
            "Fromage blanc nature, 3% MG environ",
            "Mousse de fromage blanc sur lit de fruits, 0% MG, avec édulcorants, enrichie en calcium et vitamine D",
            "Crème dessert au chocolat, rayon frais",
            "Mousse au chocolat (base laitière), rayon frais",
            "Crème caramel, rayon frais",
            "Flan aux oeufs, rayon frais",
            "Riz au lait, rayon frais",
            "Semoule au lait, rayon frais",
            "Dessert au soja, aux fruits, sucré, enrichi en calcium, fermenté, préemballé",
            "Dessert au soja, nature, non sucré, enrichi en calcium, fermenté, préemballé",
            "Mousse au chocolat végétale, préemballée",
            "Fromage de chèvre frais, au lait pasteurisé (type bûchette fraîche)",
            "Fromage de chèvre frais, au lait cru (type palet ou crottin frais)",
            "Fromage de chèvre frais, au lait pasteurisé ou cru (type crottin frais ou bûchette fraîche)",
            "Fromage de chèvre à tartiner, nature",
            "Fromage blanc ou spécialité laitière, aromatisé, sucré, 0% MG",
            "Fromage fondu en portions ou en cubes environ 8% MG",
            "Fromage rond à pâte molle et croûte fleurie environ 5% MG type camembert allégé en matière grasse"
            "Parmesan",
            "Comté",
            "Gruyère",
            "Cantal entre-deux",
            "Mimolette jeune",
            "Saint-Nectaire, laitier",
            "Ossau-Iraty",
            "Fromage de brebis à pâte pressée",
            "Gouda",
            "Edam",
            "Camembert, sans précision",
            "Brie de Meaux",
            "Coulommiers",
            "Pont l'Évêque",
            "Saint-Marcellin",
            "Fromage de chèvre lactique affiné, au lait cru (type Crottin de Chavignol, Picodon, Rocamadour, Sainte-Maure de Touraine)",
            "Biscuit de Savoie",
            "Pain d'épices",
            "Tarte aux fruits et crème pâtissière",
            "Tarte ou tartelette aux pommes",
            "Tarte aux fraises",
            "Tarte aux abricots",
            "Tarte aux fruits rouges",
            "Tarte Tatin aux pommes",
            "Tarte ou tartelette aux fruits",
            "Flan pâtissier aux oeufs ou à la parisienne",
            "Gâteau au yaourt",
            "Gâteau au fromage blanc",
            "Gâteau moelleux nature type génoise",
            "Crêpe, nature, préemballée, rayon frais",
            "Crêpe, nature, préemballée, rayon température ambiante",
            "Galette de sarrasin, nature, préemballée",
            "Crêpe fourrée au sucre, préemballée",
            "Crêpe fourrée à la confiture, maison",
            "Crêpe fourrée chocolat, préemballée",
            "Crêpe fourrée fraise, préemballée",
            "Gâteau moelleux aux fruits, préemballé",
            "Madeleine ordinaire, préemballée",
            "Tarte aux poires amandine",
        ],
        "boissons sans alcool": [
            "Jus d'ananas, pur jus",
            "Jus multifruit, pur jus, multivitaminé",
            "Jus de fruits (aliment moyen)",
            "Jus de carotte, pur jus",
            "Jus de citron, maison",
            "Jus multifruit - base orange, multivitaminé",
            "Jus d'orange, pur jus",
            "Jus d'orange, maison",
            "Jus de pomme, pur jus",
            "Jus de pamplemousse (pomelo), pur jus",
            "Jus de raisin, pur jus",
            "Jus de grenade, pur jus",
            "Jus de mangue, frais",
            "Jus de fruit de la passion ou maracudja, frais",
            "Jus de pamplemousse (pomélo), maison",
            "Jus de citron, pur jus",
            "Jus de citron vert, maison",
            "Jus de citron vert, pur jus",
            "Jus multifruit, pur jus, standard",
            "Jus de clémentine ou mandarine, pur jus",
            "Jus de fruit(s) et de légume(s), pur jus",
            "Jus de tomate, pur jus (aliment moyen)",
            "Jus multifruit, à base de concentré, standard",
            "Jus de fruits, pur jus (aliment moyen)",
            "Jus de légumes, pur jus (aliment moyen)",
            "Jus d'orange sanguine, pur jus",
            "Nectar d'abricot",
            "Nectar de papaye",
            "Nectar de poire",
            "Nectar multifruit, multivitaminé",
            "Nectar multifruit, standard",
            "Nectar multifruit - base pomme, multivitaminé",
            "Nectar multifruit - base pomme, standard",
            "Nectar multifruit - base orange, multivitaminé",
            "Nectar multifruit - base orange, standard",
            "Nectar de pomme",
            "Nectar de fruit de la passion ou maracuja",
            "Nectar de banane",
            "Nectar de goyave",
            "Nectar de mangue",
            "Nectar de pêche",
            "Nectar d'ananas",
            "Nectar d'orange",
            "Boisson à l'eau minérale ou de source, aromatisée, non sucrée, sans édulcorant",
            "Boisson à l'eau minérale ou de source, aromatisée, non sucrée, avec édulcorants",
        ],
        "pains et assimilés": [
            "Pain, baguette, courante",
            "Pain, baguette ou boule, au levain",
            "Pain, baguette, de tradition française",
            "Pain, baguette ou boule, bis (à la farine T80 ou T110)",
            "Pain courant, 400g ou boule",
            "Pain, baguette ou boule, bio (à la farine T55 jusqu'à T110)"
            "Pain, baguette ou boule, de campagne",
            "Pain complet ou intégral (à la farine T150)",
            "Pain au son",
            "Pain de seigle, et froment",
            "Pain, sans gluten",
            "Pain, baguette, sans sel",
            "Pain blanc maison (avec farine pour machine à pain)",
            "Pain de campagne maison (avec farine pour machine à pain)",
        ],
    }

    ELEMENT_DEL = [
        "Jambonneau, cuit",
        "Coppa",
        "Pancetta ou Poitrine roulée sèche",
        "Saucisson sec",
        "Rosette ou Fuseau",
        "Saucisse sèche",
        "Saucisson sec aux noix et/ou noisettes",
        "Chipolata, cuite",
        "Saucisse de Toulouse, cuite",
        "Chair à saucisse, crue",
        "Saucisse fumée, à cuire",
        "Saucisse de Morteau",
        "Saucisse de Montbéliard",
        "Saucisse de Morteau, bouillie/cuite à l'eau",
        "Saucisse de Toulouse, crue",
        "Chipolata, crue",
        "Saucisse alsacienne fumée ou Gendarme",
        "Saucisse de Strasbourg ou Knack",
        "Saucisse cocktail",
        "Saucisse viennoise, crue",
        "Saucisse de langue à la pistache",
        "Andouille",
        "Andouille de Guéméné",
        "Andouille, réchauffée à la poêle",
        "Andouille de Vire",
        "Andouillette, à cuire",
        "Andouillette, sautée/poêlée",
        "Andouillette de Troyes, à cuire",
        "Saucisson à l'ail",
        "Saucisson de Paris",
        "Saucisson de Paris, fumé",
        "Saucisson brioché, cuit",
        "Mortadelle",
        "Lardon nature, cru",
        "Lardon nature, cuit",
        "Lardon fumé, cru",
        "Lardon fumé, cuit",
        "Fromage de tête",
        "Chevreuil, rôti/cuit au four",
        "Sanglier, rôti/cuit au four",
        "Cerf, rôti/cuit au four",
        "Gibier à poil, cuit (aliment moyen)",
        "Gibier à plumes, viande, cuit (aliment moyen)",
        "Cheval, viande, rôtie/cuite au four",
        "Cheval, tende de tranche, grillée/poêlée",
        "Cheval, faux-filet, grillé/poêlé",
        "Cheval, entrecôte, grillée/poêlée",
        "Cheval, faux-filet, rôti/cuit au four",
        "Cheval, tende de tranche, rôtie/cuite au four",
        "Lapin, viande braisée",
        "Lapin, viande cuite",
        "Lapin de garenne, viande, cuite",
        "Oie, viande, rôtie/cuite au four",
        "Oie, viande et peau, rôtie/cuite au four",
        "Cervelle, agneau, cuite",
        "Cervelle, veau, cuite",
        "Ris, agneau, cuit",
        "Ris, veau, braisé ou sauté/poêlé",
        "Rognon, cuit (aliment moyen)",
        "Rognon, boeuf, cuit",
        "Rognon, agneau, braisé",
        "Rognon, veau, braisé ou sauté/poêlé",
        "Abat, cuit (aliment moyen)",
        "Sanglier, cru",
        "Lièvre, viande crue",
        "Chevreuil, cru",
        "Cerf, cru",
        "Cheval, viande, crue",
        "Cheval, steak, cru",
        "Cheval, tende de tranche, crue",
        "Cheval, faux-filet, cru",
        "Cheval, entrecôte, crue",
        "Oie, viande crue",
        "Oie, viande et peau, crue",
        "Pigeon, cru",
        "Canard, viande, crue",
        "Canard, cuisse avec peau, sans os, crue",
        "Canard, viande et peau, cru",
        "Canard, magret, cru",
        "Foie, oie, cru",
        "Foie, canard, cru",
        "Sang, boeuf, cru",
        "Lapin, viande crue",
        "Lapin de garenne, viande, crue",
        "Chevreau, cru",
        "Poule, viande et peau, crue",
        "Poule, viande ,crue",
        "Poule, cuisse, crue",
        "Caille, viande et peau, crue",
        "Caille, viande, crue",
        "Chapon, viande et peau, cru",
        "Pintade, crue",
        "Pintade, poitrine, crue",
        "Pintade, cuisse, crue",
        "Autruche, viande crue",
        "Cervelle, agneau, crue",
        "Cervelle, veau, crue",
        "Ris, agneau, cru",
        "Ris, veau, cru",
        "Rognon, boeuf, cru",
        "Rognon, agneau, cru",
        "Rognon, veau, cru",
        "Tripes, boeuf, crues",
        "Anguille, cuite (aliment moyen)",
        "Anguille, rôtie/cuite au four",
        "Anguille, bouillie/cuite à l'eau",
        "Panga, Pangasius, ou poisson-chat du Mékong, filet, cuit",
        "Roussette ou petite roussette ou saumonette, cuite",
        "Roussette ou petite roussette ou saumonette, crue",
        "Espadon, cru",
        "Anguille, crue",
        "Pangasius ou Poisson-chat, cru",
        "Tilapia, cru",
        "Perche du Nil, crue",
        "Requin, cru",
        "Congre, cru",
        "Lotte de rivière, crue",
        "Sabre, cru",
        "Grenadier (de roche), cru",
        "Lompe, crue",
        "Orphie commune, crue",
    ]

__all__ = ["BREAKFAST", "LUNCH", "SNACK", "DINNER"]
